/* process-row.vala
 *
 * Copyright (C) 2019 Purism SPC
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authors: Guido Guenther <agx@sigxcpu.org>
 */

using Gth;

namespace Usage
{
    [GtkTemplate (ui = "/org/gnome/Usage/ui/thermal-row.ui")]
    public class ThermalZoneRow : Gtk.ListBoxRow
    {
        public ThermalZone zone;

        [GtkChild]
        private Gtk.Label type_label;

        [GtkChild]
        private Gtk.Label temp_label;

        public ThermalZoneRow(ThermalZone zone)
        {
            this.zone = zone;
            update();
        }

        private void update()
        {
            type_label.label = zone.type;
            temp_label.label = "%.2f ⁰C".printf(zone.temperature / 1000.0);
            /* todo: add cooling devs */
        }

        public new void activate()
        {
        }
    }
}
