/* performance-view.vala
 *
 * Copyright (C) 2019 Purism SPC
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authors: Guido Guenther <agx@sigxcpu.org>
 */

using Gtk;

namespace Usage
{
    [GtkTemplate (ui = "/org/gnome/Usage/ui/thermal-view.ui")]
    public class ThermalView : View
    {
        [GtkChild]
        private Gtk.Box switcher_box;

        [GtkChild]
        private Gtk.Box thermal_content;

        [GtkChild]
        private AnimatedScrolledWindow scrolled_window;

        View[] sub_views;

        public ThermalView ()
        {
            name = "THERMAL";
            title = _("Thermal");
            icon_name = "weather-clear-symbolic";

            sub_views = new View[]
            {
                new ThermalSubView(),
            };

            foreach(var sub_view in sub_views)
                thermal_content.pack_start(sub_view, true, true, 0);

            var stackSwitcher = new ThermalGraphStackSwitcher(scrolled_window, sub_views);
            switcher_box.add (stackSwitcher);

            show_all ();
        }
    }
}
